> ## Documentation Index
> Fetch the complete documentation index at: https://developer.lemlist.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Removes a lead from a campaign or unsubscribes it permanently.

# Delete or Unsubscribe Lead

export const SnippetObjectReference = ({objectName, objectPath = null}) => {
  const lowerCaseObjectName = objectName.toLowerCase();
  if (lowerCaseObjectName === 'lead' || lowerCaseObjectName === 'leads') {
    return <Note>
        This endpoint uses the <a href={`/api-reference/objects-definitions/${objectPath}`}>{objectName} object</a>. Make sure to also check the <a href={`/api-reference/objects-definitions/${lowerCaseObjectName === 'lead' ? 'contact' : 'lead'}`}>{lowerCaseObjectName === 'lead' ? 'Contact' : 'Lead'} object</a> to understand the distinction between the two.
      </Note>;
  }
  return <Note>
      This endpoint uses the <a href={`/api-reference/objects-definitions/${objectPath}`}>{objectName} object</a>.
    </Note>;
};

<SnippetObjectReference objectName="Lead" objectPath="lead" />

This endpoint deletes a lead from a campaign.

You need to specify `action=remove` in the params to delete a lead. If you don't specify `action=remove`, the endpoint fallbacks to unsubscribing the lead and to do so you need to provide the lead email.


## OpenAPI

````yaml delete /campaigns/{campaignId}/leads/{leadId}
openapi: 3.0.0
info:
  title: lemlist API
  version: 1.0.0
  description: >-
    Welcome to the lemlist Developer Documentation.


    lemlist is very customizable and open. You'll find on this page all the API
    and integration you can do with lemlist.


    # Rate Limit


    lemlist's API rate limits requests in order to prevent abuse and overload of
    our services.  

    Rate limits are applied on all routes and per API key performing the
    request.  

    The rate limits are **20** requests per **2** seconds.  

    The response provides any information you may need about it:


    | Header | Description |

    | --- | --- |

    | Retry-After | The number of seconds in which you can retry |

    | X-RateLimit-Limit | The maximum requests in that time |

    | X-RateLimit-Remaining | The number of remaining requests you can make |

    | X-RateLimit-Reset | The date when the rate limit will reset |


    _Example of values for the rate limit headers_


    ``` json

    {
        "Retry-After": 2,
        "X-RateLimit-Limit": 20,
        "X-RateLimit-Remaining": 7,
        "X-RateLimit-Reset" : "Tue Feb 16 2021 09:02:42 GMT+0100 (Central European Standard Time)"
    }

     ```

    # Definitions


    ## Team


    A team is the entity of lemlist that can handle users and billing.


    ## Credits


    Credits are the coins a team uses to enrich emails, LinkedIn URLs, etc. via
    the enrich route. Each enrichment feature needs a certain amount of credits
    to run.


    ## User


    You use a user account to connect to lemlist and send messages via the
    connected emails or LinkedIn account.


    ## Campaign


    A campaign is the entity to automate outreach. A campaign has multiple
    sequences composed of steps.


    ## Lead


    A lead is a person that you try to contact via a campaign.


    ## Activity


    An activity is the history of all the steps.


    ## Unsubscribe


    An unsubscribe occurs when a person decides they don't want to receive
    emails from you anymore.


    # Authentication


    All API routes use the dedicated subdomain `api.lemlist.com`.


    lemlist uses API keys to allow access to the API. You can get your lemlist
    API key at our [integration
    page](https://app.lemlist.com/settings/integrations).


    You need to add the `Authorization` header using the `Basic` authentication
    type. `login:password` **where the login is always empty and the password is
    the API key**.


    ⚠️ **Don't forget to add the semicolon (**`:`**) before your API key in curl
    command.**


    > To authorize, use this code: 
      

    ``` shell

    curl https://api.lemlist.com/api/team \
      --user ":YourApiKey"

     ```

    **Make sure to replace** **`YourApiKey`** **with your API key.**


    # Give feedback


    If you want to report a bug, ask for data, or share with us a use case,
    please fill this [form](https://lemlist.typeform.com/to/mfVlkyGf). It will
    help us centralize your needs!
servers:
  - url: https://api.lemlist.com/api
security:
  - basicAuth: []
paths:
  /campaigns/{campaignId}/leads/{leadId}:
    parameters:
      - name: campaignId
        in: path
        required: true
        description: The unique identifier of the campaign
        example: cam_A1B2C3D4E5F6G7H8I9
        schema:
          type: string
      - name: leadId
        in: path
        required: true
        description: The unique identifier of the lead
        example: lea_8xJSc7sV7ggpiVnXe
        schema:
          type: string
    delete:
      tags:
        - Leads
      summary: Delete or Unsubscribe Lead
      parameters:
        - name: action
          in: query
          required: false
          description: >-
            Use 'remove' to force delete. Otherwise it will just unsubscribe the
            lead from the campaign.
          example: remove
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  firstName:
                    type: string
                  lastName:
                    type: string
                  companyName:
                    type: string
                  jobTitle:
                    type: string
                  companyDomain:
                    type: string
                  email:
                    type: string
                    format: email
                  preferredContactMethod:
                    type: string
                  industry:
                    type: string
                  Company name:
                    type: string
                  _id:
                    type: string
                  isPaused:
                    type: boolean
                  campaignId:
                    type: string
                  contactId:
                    type: string
                  emailStatus:
                    type: string
                additionalProperties:
                  type: string
              example:
                firstName: John
                lastName: Doe
                companyName: Acme Inc
                jobTitle: Growth Engineer
                companyDomain: example.com
                email: support@lemlist.com
                preferredContactMethod: email
                industry: Technology
                Company name: John Doe
                _id: lea_fiDpiGV585wy3Oii2
                isPaused: false
                campaignId: cam_bSn8EORHQxbWPjHvu
                contactId: ctc_xW8Ou6C03Csv8vatp
                emailStatus: deliverable
        '400':
          description: Bad team
          content:
            text/plain:
              example: Bad team
        '401':
          description: Unauthorized
        '404':
          description: Lead not found
          content:
            text/plain:
              example: Lead not found
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````